%define api_version	2
%define lib_major	0

Summary:	IDL parsing library
Name:		libIDL
Version:	0.8.0
Release:	1mdk
URL:		http://orbit-resource.sf.net/
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/%{name}/%{name}-%{version}.tar.bz2

BuildConflicts: ORBit-devel < 0.5.10
BuildRequires:	flex bison pkgconfig
BuildRequires:  libglib2.0-devel
Prereq:		/sbin/install-info

%description
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %{name}%{api_version}_%{lib_major}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}%{api_version} = %{version}-%{release}

%description -n %{name}%{api_version}_%{lib_major}
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %{name}%{api_version}_%{lib_major}-devel
Summary:	Header files and libraries needed for libIDL development
Group:		Development/C
Conflicts:	ORBit-devel < 0.5.10
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{name}%{api_version}_%{lib_major} = %{version}
Requires:   libglib2.0-devel

%description -n %{name}%{api_version}_%{lib_major}-devel
This package includes the header files and libraries needed for
developing or compiling programs using libIDL.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%post -n %{name}%{api_version}_%{lib_major} -p /sbin/ldconfig

%postun -n %{name}%{api_version}_%{lib_major} -p /sbin/ldconfig

%post -n %{name}%{api_version}_%{lib_major}-devel
%_install_info %{name}2.info

%preun -n %{name}%{api_version}_%{lib_major}-devel
%_remove_install_info %{name}2.info

%clean
rm -rf %{buildroot}

%files -n %{name}%{api_version}_%{lib_major}
%defattr(-,root,root)
%doc AUTHORS README NEWS BUGS
%{_libdir}/lib*.so.*

%files -n %{name}%{api_version}_%{lib_major}-devel
%defattr(-,root,root)
%doc ChangeLog tstidl.c
%{_bindir}/*
%{_includedir}/*
%{_infodir}/*.info*
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Remove patch 0 (merged upstream)

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-2mdk
- Patch0 (CVS): explicit linking with glib2
- Fix BuildRequires (add glib2)

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-1mdk
- Initial Mdk package, based on Abel Cheung work 
- Release 0.7.4
